import gtk,os
class MainGui():
    def __init__(self,controller):
        self.controller = controller
        filename = "gui.glade"
        builder = gtk.Builder()
        builder.add_from_file(filename)
        builder.connect_signals(self)
        self.ventana = builder.get_object("mainWindow")
        self.ventana.show()
        self.title_area = builder.get_object("title_area")
        self.text_area = builder.get_object("text_area")
        self.chat_area = builder.get_object("chat_area")
        self.image_area = builder.get_object("image_area")
        self.nextimg_button = builder.get_object("nextimg_button")
        self.previmg_button = builder.get_object("previmg_button")

        if self.controller.isServer:
            self.controller.server_handler.send_photo(self.controller.pdf_file.current_filename)
            self.title_area.set_label("%i/%i"%(self.controller.pdf_file.current+1,self.controller.pdf_file.n_pages))
        else:
            self.nextimg_button.set_sensitive(0)
            self.previmg_button.set_sensitive(0)
            self.title_area.set_label("Cliente")

    def on_mainWindow_destroy(self,widget):
        gtk.main_quit()
        os.popen("kill -9 "+str(os.getpid()))
        


    def on_sendtext_button_clicked(self,widget):
        self.controller.server_handler.sendto_multicast(self.text_area.get_text())
        self.text_area.set_text("")

    def on_nextimg_button_clicked(self,widget):
        if self.controller.isServer:
            if self.controller.pdf_file.get_next_page():
                self.controller.server_handler.send_photo(self.controller.pdf_file.current_filename)
                self.title_area.set_label("%i/%i"%(self.controller.pdf_file.current+1,self.controller.pdf_file.n_pages))

    def on_previmg_button_clicked(self,widget):
        if self.controller.isServer:
            if self.controller.pdf_file.get_prev_page():
                self.controller.server_handler.send_photo(self.controller.pdf_file.current_filename)
                self.title_area.set_label("%i/%i"%(self.controller.pdf_file.current+1,self.controller.pdf_file.n_pages))


