import poppler
import gtk
import urllib
import os

class PdfConvert:
    def __init__(self,input_filename,w,h):
        self.current = 0
        self.filename = input_filename
        self.width = w
        self.height = h
        self.doc = poppler.document_new_from_file('file://%s'%urllib.pathname2url(input_filename), password=None)
        self.current_filename = None
        self.file = self.filename.split("/")
        self.file = "/"+self.file[-1]
        self.get_page(self.current)
        self.n_pages = self.doc.get_n_pages()
    def get_page(self,number):
        page = self.doc.get_page(number)
        pixbuf = gtk.gdk.Pixbuf(gtk.gdk.COLORSPACE_RGB, True, 8, self.width, self.height)
        page.render_to_pixbuf(src_x=0, src_y=0, src_width=self.width, src_height=self.height,scale=self.width/page.get_size()[0], rotation=0, pixbuf=pixbuf)
        output = os.path.realpath(os.path.curdir)+"/tmp"+self.file+"_"+str(number)+".png"
        pixbuf.save(output, 'png')
        self.current_filename = output
    def get_next_page(self):
        if self.current < self.n_pages-1:
            self.current = self.current +1
            self.get_page(self.current)
            return True
        else:
            return False

    def get_prev_page(self):
        if self.current > 0:
            self.current =self.current - 1
            self.get_page(self.current)
            return True
        else:
            return False